// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- JVM NOT MANDATORY -->

//
// Stress-tests
// Check that a reasonable behaviour occurs when the
// analysis fails because there are not enough iterations.
// Check that status is false if the analysis could not be performed completely
// or that the status is true if the analysis could be performed.
//

[ computed , status ] = number_isprime ( 569 * 691 , "modulo" , 10 );
assert_checkequal ( computed , %f );
assert_checkequal ( status , %f );
[ computed , status ] = number_isprime ( 569 * 691 , "6k" , 10 );
assert_checkequal ( computed , %f );
assert_checkequal ( status , %f );
[ computed , status ] = number_isprime ( 569 * 691 , "30k" , 10 );
assert_checkequal ( computed , %f );
assert_checkequal ( status , %f );
// Exception : status is always true with "primes"
[ computed , status ] = number_isprime ( 569 * 691 , "primes" , 10 );
assert_checkequal ( computed , %f );
assert_checkequal ( status , %t );



