// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- JVM NOT MANDATORY -->



expected = [2 3 5 7 11 13 17 19 23 29 31 37 41 43 47 53 59 61 67 71 73 79 83 89 97];

// Test without options
computed = number_primes ( 100 );
assert_checkequal ( computed , expected );

// Test with "erathostenefast"
computed = number_primes ( 100 , "erathostenefast" );
assert_checkequal ( computed , expected );

// Test with "erathostenenaive"
computed = number_primes ( 100 , "erathostenenaive" );
assert_checkequal ( computed , expected );

