// Copyright (C) 2008 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt




m = number_ulamspiral ( 7 );
expected = [
37,0,0,0,0,0,31;  
0,17,0,0,0,13,0;   
0,0,5,0,3,0,29;    
0,19,0,0,2,11,0;   
41,0,7,0,0,0,0;    
0,0,0,23,0,0,0;    
43,0,0,0,47,0,0
];
assert_checkequal ( m , expected );
//
m = number_ulamspiral ( 7 , %t );
expected = [
37,36,35,34,33,32,31;  
38,17,16,15,14,13,30;   
39,18,5,4,3,12,29;      
40,19,6,1,2,11,28;      
41,20,7,8,9,10,27;      
42,21,22,23,24,25,26;   
43,44,45,46,47,48,49
];
assert_checkequal ( m , expected );
//
m = number_ulamspiral ( 7 , %f );
expected = [
37,0,0,0,0,0,31;  
0,17,0,0,0,13,0;   
0,0,5,0,3,0,29;    
0,19,0,0,2,11,0;   
41,0,7,0,0,0,0;    
0,0,0,23,0,0,0;    
43,0,0,0,47,0,0
];
assert_checkequal ( m , expected );
//
// Test a more extensive list of matrix sizes
for n = 0 : 10
  c = number_ulamspiral ( 2*n+1 );
  c = number_ulamspiral ( 2*n+1 , %t );
  c = number_ulamspiral ( 2*n+1 , %f );
end

